Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.wrapper
Class PathAssembler

    java.lang.Object
      org.gradle.wrapper.PathAssembler

    public class PathAssembler

extends java.lang.Object

Field Summary
`static java.lang.String` | `GRADLE_USER_HOME_STRING`
`java.lang.String` | `gradleUserHome`
`static java.lang.String` | `PROJECT_STRING`

Constructor Summary
`PathAssembler()`
`PathAssembler(java.lang.String gradleUserHome)`

Method Summary
`java.lang.String` | `distZip(java.lang.String zipBase, java.lang.String zipPath, java.lang.String distName, java.lang.String distVersion, java.lang.String distClassifier)`
`java.lang.String` | `gradleHome(java.lang.String distBase, java.lang.String distPath, java.lang.String distName, java.lang.String distVersion)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRADLE_USER_HOME_STRING

    public static final java.lang.String GRADLE_USER_HOME_STRING

See Also:
  Constant Field Values

### PROJECT_STRING

    public static final java.lang.String PROJECT_STRING

See Also:
  Constant Field Values

### gradleUserHome

    public java.lang.String gradleUserHome

Constructor Detail

### PathAssembler

    public PathAssembler()

### PathAssembler

    public PathAssembler(java.lang.String gradleUserHome)

Method Detail

### gradleHome

    public java.lang.String gradleHome(java.lang.String distBase,
                                       java.lang.String distPath,
                                       java.lang.String distName,
                                       java.lang.String distVersion)

### distZip

    public java.lang.String distZip(java.lang.String zipBase,
                                    java.lang.String zipPath,
                                    java.lang.String distName,
                                    java.lang.String distVersion,
                                    java.lang.String distClassifier)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD